Users

Link partner external user ID (HMAC-verified)

POST
/users/me/external-id

Authorization

appIdbearerAuth
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

headerAuthorizationBearer <JWT>

JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.

Request Body

application/json
  1. body
externalId*string
Length1 <= length <= 255
timestamp*integer
Range1 <= value
hmac*string
Match^[a-fA-F0-9]{64}$

Response Body

200

application/json
  1. response
id*string
username*string
avatarUrl*string
externalId*string
isLocationBlocked*boolean
accounts*array<>
wallets*array<>
venueAccounts*array<>
otherIdentities?array<>
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/users/me/external-id' \  -H 'Content-Type: application/json' \  -d '{  "externalId": "string",  "timestamp": 1,  "hmac": "string"}'
Example Response
{  "id": "string",  "username": "string",  "avatarUrl": "string",  "externalId": "string",  "isLocationBlocked": true,  "accounts": [    {      "type": "oauth",      "provider": "wallet",      "providerAccountId": "string"    }  ],  "wallets": [    {      "chain": "evm",      "address": "string"    }  ],  "venueAccounts": [    {      "id": "string",      "venue": "kalshi",      "status": "string",      "kycStatus": "string"    }  ],  "otherIdentities": [    {      "provider": "email"    }  ]}